/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EngineStatusVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.common.vo
{

	/**
	* Value object that describes the state of a rule engine instance
	*
	* @author Julien Nicoulaud
	*
	*/
    [RemoteClass(alias="org.ow2.jasmine.rules.manager.service.RuleEngineStatus")]
  	[Bindable]
  	public class EngineStatusVO
	{
			
		// =====================================================================
		// Variables
		// =====================================================================
	
		/**
		 * The unique name of the rule engine instance
		 */
		public var ruleEngineName : String;
	
		/**
		 * The status of the rule engine
		 * 
		 * @internal Should use a enumerated type
		 */
		public var engineStatus : String;
	
		/**
		 * Some custom details
		 */
		public var engineDetails : String;
		
	}
}
